Subject: Re: 1.3.2: bug storing mount settings in registry
From: Corinna Vinschen <[email-masked]>
To: Tomas Juknevicius <[email-masked]>
Cc: [email-masked]
Date: Tue, 4 Sep 2001 22:29:48 +0200

On Tue, Sep 04, 2001 at 05:37:33PM +0200, Tomas Juknevicius wrote:
> Hello all,
> 
> Had a problem with strict case checking in filesystem paths.
> 
> DESCRIPTION:
> Installed latest CygWin ditribution (1.3.2, full) on my Win2000; worked fine.
> Then had to specify strict filename case checking through
> environment variable (added "set CYGWIN=check_case:strict"
> line into cygwin.bat) and all of a suddent I was unable to do "cd /".
> The system still works, allows to cd /cygdrive/ etc, just can't cd to /
> 
> 
> CAUSE:
> Hopefuly found a reason: I've installed CygWin into e:\CygWin directory
> (note the case!!!), the setup created mounts in the registry:
> 
> HKEY_CURRENT_USER\Software\Cygnus Solutions\Cygwin\mounts v2\/
>   (default) = `e:/cygwin'
>   flags = 0x00000000
> HKEY_CURRENT_USER\Software\Cygnus Solutions\Cygwin\mounts v2\/usr/bin
>   (default) = `e:/cygwin/bin'
>   flags = 0x00000000
> HKEY_CURRENT_USER\Software\Cygnus Solutions\Cygwin\mounts v2\/usr/lib
>   (default) = `e:/cygwin/lib'
>   flags = 0x00000000
> 
> (note, that in registry the directory name is cygwin, not CygWin)

Are you actually _sure_ you did it that way and not renamed it later?
Or that you manually created the CygWin directory but installed it
using setup and let it using it's default "C:\cygwin" entry in the
dialog box?

The problem here is: There's no such thing in setup's source which
would lower case the users input before handling it over to the
code which creates the directories and mount points...

Corinna

-- 
Corinna Vinschen                  Please, send mails regarding Cygwin to
Cygwin Developer                                mailto:[email-masked]
Red Hat, Inc.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/